centos安装指定版本的php5.6

环境 linux、centos7.x

centos7.x 默认源里面的php版本是5.4
由于项目需要,安装高版本php,如5.6之上的版本

安装步骤如下:

设置第三方源

yum install epel-release
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm

安装

yum install php56w

如何还需要php-fpm服务,则还需要安装
yum install php56w-fpm

最后查看

php -v

1
2
3
4
5
[me@VM_0_14_centos ~]# php -v
PHP 5.6.40 (cli) (built: Jan 12 2019 13:11:15)
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies
[me@VM_0_14_centos ~]#

查看英文文档

坚持原创技术分享,谢谢鼓励我继续创作!